%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?with_check: %global with_check 0}

Name:		mom
Version:	0.5.11
Release:	1%{?dist}
Summary:	Dynamically manage system resources on virtualization hosts

Group:		Applications/System
License:	GPLv2
URL:		http://www.ovirt.org
Source0:	http://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-nose
BuildRequires:	python-mock
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	systemd-units

Requires(post):	systemd
Requires(preun):	systemd
Requires(postun):	systemd
BuildRequires:	systemd

# MOM makes use of libvirt by way of the python bindings to monitor and
# interact with virtual machines.
Requires:	libvirt-daemon-driver-qemu
Requires:	libvirt-python
Requires:	procps

%description
MOM is a policy-driven tool that can be used to manage overcommitment on KVM
hosts. Using libvirt, MOM keeps track of active virtual machines on a host. At
a regular collection interval, data is gathered about the host and guests. Data
can come from multiple sources (eg. the /proc interface, libvirt API calls, a
client program connected to a guest, etc). Once collected, the data is
organized for use by the policy evaluation engine. When started, MOM accepts a
user-supplied overcommitment policy. This policy is regularly evaluated using
the latest collected data. In response to certain conditions, the policy may
trigger reconfiguration of the system’s overcommitment mechanisms. Currently
MOM supports control of memory ballooning and KSM but the architecture is
designed to accommodate new mechanisms such as cgroups.

%prep
%setup -q

%build
autoreconf
%configure --docdir="%{_pkgdocdir}"
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" install

install -dm 755 %{buildroot}%{_unitdir}
mv contrib/momd.service %{buildroot}%{_unitdir}

install -d -m 0755 "%{buildroot}/%{_sysconfdir}"
install -m 0644 doc/mom-balloon+ksm.conf "%{buildroot}/%{_sysconfdir}/momd.conf"

%check
%if 0%{with_check}
make check %{?_smp_mflags}
%endif

# Systemd scripts
%post
%systemd_post momd.service

%preun
%systemd_preun momd.service

%postun
%systemd_postun_with_restart momd.service

%files
%config(noreplace) %{_sysconfdir}/momd.conf
%license COPYING
%doc README
%{_sbindir}/momd
%{python_sitelib}/mom/
%{_unitdir}/momd.service

%changelog
* Fri Dec 15 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 0.5.11-1
- Rebase on upstream 0.5.11

* Thu May 11 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 0.5.10-1
- Rebase on upstream 0.5.10

* Fri Mar 17 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 0.5.9-1
- Rebase on upstream 0.5.9

* Mon Nov 07 2016 Rafael Martins <rmartins@redhat.com> - 0.5.8-1
- Sync with upstream

* Wed Sep 07 2016 Martin Sivak <msivak@redhat.com> - 0.5.6-1
- Apply IO QoS even when no QoS exists yet
  Resolves: rhbz#1346754

* Mon Jun 27 2016 Martin Sivak <msivak@redhat.com> - 0.5.5-1
- Improve message when a VM disappears
  Resolves: rhbz#1234953
- Add GuestIoTuneOptional collector
  Resolves: rhbz#1346252

* Wed Jun  1 2016 Martin Sivak <msivak@redhat.com> - 0.5.4-1
- Rebase to the latest version
- Use i8 XML-RPC extension for transfering big numbers
  Resolves: rhbz#1294833
- Fix the momd.service file syntax
  Resolves: rhbz#1263983
- Add IO limit support
- Add GuestBalloonOptional collector
  Resolves: rhbz#1337834

* Thu Sep 17 2015 Martin Sivak <msivak@redhat.com> - 0.5.1-2
- Fix docdir packaging

* Thu Sep 17 2015 Martin Sivak <msivak@redhat.com> - 0.5.1-1
- Fix vdsmxmlrpc hypervisor interface when no ballooning
  information is present.
  Resolves: rhbz#1264095

* Mon Jul 13 2015 Martin Sivak <msivak@redhat.com> - 0.5.0-1
- Upgrade to 0.5.0

* Thu Jun 11 2015 Martin Sivak <msivak@redhat.com> - 0.4.5-2
- Fix systemd dependencies for install scripts

* Thu Jun 11 2015 Martin Sivak <msivak@redhat.com> - 0.4.5-1
- Upgrade to 0.4.5

* Fri May 15 2015 Adam Litke <alitke@redhat.com> - 0.4.4-1
- Upgrade to 0.4.4

* Wed Nov 26 2014 Adam Litke <alitke@redhat.com> - 0.4.3-1
- Upgrade to 0.4.3

* Thu Sep 11 2014 Adam Litke <alitke@redhat.com> - 0.4.2-1
- Upgrade to 0.4.2

* Wed Jun 18 2014 Adam Litke <alitke@redhat.com> - 0.4.1-1
- Upgrade to 0.4.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 31 2014 Adam Litke <alitke@redhat.com> - 0.4.0-1
- Upgrade to 0.4.0 and update build process

* Fri Jan 10 2014 Adam Litke <alitke@redhat.com> - 0.3.2-8
- Sync Fedora spec file with package spec file

* Wed Dec 11 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3.2-7
- Install docs to %%{_pkgdocdir} where available (#993977).

* Thu Nov 21 2013 Adam Litke <alitke@redhat.com> 0.3.2-6
- Bump version and rebuild

* Thu Aug 22 2013 Adam Litke <agl@us.ibm.com> 0.3.2-5
- Added patch to fix error in reporting CPU usage

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Adam Litke <agl@us.ibm.com> - 0.3.2-3
- Fix a typo in the HostMemory Collector
- Convert strings to int when using the vdsm API

* Thu Jul 18 2013 Adam Litke <agl@us.ibm.com> - 0.3.2-2
- Pushed an additional patch for oVirt policy

* Tue Jul 16 2013 Adam Litke <agl@us.ibm.com> - 0.3.2-1
- Upgrade to version 0.3.2
- Policy updates to support oVirt

* Mon Jul 8 2013 Adam Litke <agl@us.ibm.com> - 0.3.1-1
- Upgrade to version 0.3.1
- MOM now uses an autotools build process
- Multiple policy support

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 05 2012 Adam Litke <agl@us.ibm.com> - 0.3.0-1
- Upgrade to version 0.3.0
- Upstream fixes CVE-2012-4480

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 12 2011 Adam Litke <agl@us.ibm.com> - 0.2.2-1
- Upgrade to version 0.2.2
- Packaging related changes merged upstream so patches dropped

* Fri Jan 7 2011 Adam Litke <agl@us.ibm.com> - 0.2.1-5
- Address review comments by Michael Schwendt
- Fix use of _defaultdocdir macro
- Add some comments to the spec file

* Tue Oct 26 2010 Adam Litke <agl@us.ibm.com> - 0.2.1-4
- Third round of package review comments
- Remove useless shebang on non-executable python script

* Tue Oct 26 2010 Adam Litke <agl@us.ibm.com> - 0.2.1-3
- Second round of package review comments
- Add a default config file: /etc/momd.conf

* Wed Oct 13 2010 Adam Litke <agl@us.ibm.com> - 0.2.1-2
- Address initial package review comments

* Mon Sep 27 2010 Adam Litke <agl@us.ibm.com> - 0.2.1-1
- Initial package
